Subject: Re: EGCS-1.0.2-Mingw32
From: [email-masked] (Paul Garceau)

10 Sep 1998 17:59:29 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: Mumit Khan <[email-masked]>
Cc: [email-masked]

On 9 Sep 98, at 21:41, the Illustrious Mumit Khan wrote:

> On Tue, 8 Sep 1998, Paul Garceau wrote:
> 
> > Hi folks,
> > 
> > 	Is there a way to disable mangling for EGCS-Mingw32?
> > 
> > 	I am not sure which switch to set.
> > 
> 
> Paul,
> 
> Which mangling are referring to? Win32 mangling related to various calling
> conventions (eg., __stdcall) or C++ mangling?

	The latter, C++ mangling.  EGCS-1.0.2-Mingw32 is looking for 
IDirectDraw::SetCooperativeLevel.  Headers can only understand
IDirectDraw->SetCooperativeLevel.
 
> Could you describe why you want the mangling disabled?

	If I could disable C++ mangling, then I am inclined to believe that I can 
enable the needed C calls instead.

> In all but some
> very special cases, mangling is required to produce correct code linkage.

	I understand, I'm open to suggestions.

	Peace,

		Paul G.

Information Systems Consultant
NewDawn Productions
http://www.teleport.com/~pgarceau/newdawn/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".